Subject: Re: bug#42611: 26.3; edit-abbrevs lets me type and commit, but doesn't store anywhere and abbrevs don't work

From: Brett Randall <[email-masked]>
Date: Tue, 27 Oct 2020 22:22:32 +0000

Thanks Lars, it works now that I understand the formatting requirement. Appreciate your help.

Brett

--- original message ---
On October 27, 2020, 10:08 PM GMT+11 [email-masked] wrote:

Brett Randall <[email-masked]> writes:

>> 1 emacs -Q

>> 2 M-x edit-abbrevs

>> 3 Scroll to last line - (global-abbrev-table)

>> 4 Append: "dfn" 0 "definition"

>> 5 C-c C-c (removes "modified" flag)

>> 6 C-x k

>> 7 M-x edit-abbrevs

>> 8 Scroll down to last line - abbreviation is not there

> Thanks.

> The format of that buffer is very specific, though. The entries must be

> on the format:

> (global-abbrev-table)

> "def" 0 "definition"

> with one blank line between the name of the section and the start of the

> definitions; neither more nor less. If you do it that way, does the

> mode work for you?

> In any case, I don't quite see why it's that strict about the format: It

> should just grok all the lines between the sections, I think?

> -- 

> (domestic pets only, the antidote for overdose, milk.)

> bloggy blog: http://lars.ingebrigtsen.no
--- end of original message ---